> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Configuration User by ID

> Return a User who has access to a connection source by ID (Leen's UUID).



## OpenAPI

````yaml get /configuration/users/{user_id}
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - description: Production API (US)
    url: https://api.leen.dev/v1
  - description: Production API (EU)
    url: https://api.eu-c1.leen.dev/v1
  - description: Production API (APAC)
    url: https://api.ap-se2.leen.dev/v1
security: []
paths:
  /configuration/users/{user_id}:
    get:
      tags:
        - configuration
      summary: Get Configuration User by ID
      description: Return a User who has access to a connection source by ID (Leen's UUID).
      operationId: get_configuration_user
      parameters:
        - in: path
          name: user_id
          required: true
          schema:
            format: uuid
            title: User Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfigurationUserRespModel'
          description: Successful Response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: User not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - API-Key: []
          Connection-ID: []
components:
  schemas:
    ConfigurationUserRespModel:
      properties:
        access_data:
          additionalProperties: true
          description: >-
            Configuration User's Access Data, includes roles and other
            information
          title: Access Data
          type: object
        email:
          anyOf:
            - type: string
            - type: 'null'
          description: Configuration User's Email
          title: Email
        id:
          description: Leen UUID for the configuration user
          format: uuid
          title: Id
          type: string
        last_login:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Configuration User's Last Login time
          title: Last Login
        name:
          description: Configuration First Name and Last Name
          title: Name
          type: string
        username:
          anyOf:
            - type: string
            - type: 'null'
          description: Configuration User's Username
          title: Username
        vendor:
          $ref: '#/components/schemas/ConnectionVendorsEnum'
          description: Source vendor
        vendor_user_id:
          description: Configuration User's ID in the source vendor
          title: Vendor User Id
          type: string
      required:
        - id
        - name
        - vendor_user_id
        - vendor
        - access_data
      title: ConfigurationUser
      type: object
    ErrorResponse:
      properties:
        code:
          description: Error code
          title: Code
          type: string
        detail:
          description: List of error dictionaries
          items:
            additionalProperties: true
            type: object
          title: Detail
          type: array
        message:
          description: Error message
          title: Message
          type: string
        type:
          description: Type of error
          title: Type
          type: string
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ConnectionVendorsEnum:
      enum:
        - AIKIDO
        - ARNICA
        - TENABLE
        - QUALYS
        - SNYK
        - CROWDSTRIKE
        - CROWDSTRIKE_SPOTLIGHT
        - MS_DEFENDER_CLOUD
        - MS_DEFENDER_ENDPOINT
        - MS_DEFENDER_VMS
        - MS_DEFENDER_VMS_GCC_HIGH
        - SENTINELONE
        - SENTINELONE_VMS
        - SEMGREP
        - INSIGHTVM
        - AWS_SECURITYHUB
        - LACEWORK_CSPM
        - MS_ENTRA
        - AWS_INSPECTOR2
        - AWS_ACCESS_ANALYSER
        - AWS_GUARDDUTY
        - OKTA_IDP
        - WIZ_VMS
        - WIZ_CODE
        - WIZ_CSPM
        - GITLAB
        - TANIUM_VMS
        - UPWIND
        - CHECKMARX
        - MEND
        - ORCA
        - GITHUB
        - HEELER
        - SERVICENOW
        - SERVICENOW_VR
        - BLACK_KITE
        - BIT_SIGHT
        - JIRA
        - SECURITY_SCORECARD
        - PROCESSUNITY
        - SERVICENOW_ITSM
        - SONARQUBE
        - BLACK_DUCK_COVERITY
        - BLACK_DUCK_SCA
        - SOCKET
        - MS_INTUNE
        - PROOFPOINT_TAP
      title: ConnectionVendorsEnum
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    API-Key:
      in: header
      name: X-API-KEY
      type: apiKey
    Connection-ID:
      in: header
      name: X-CONNECTION-ID
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.